Summary: The utilities for Linux NFS server.
Name: nfs-utils
Version: 0.1.7
Release: 2mdk
Source0: ftp://ftp.linuxnfs.sourceforge.org/pub/nfs/%{name}-%{version}.tar.bz2
Group: Networking/Other
Obsoletes: nfs-server knfsd nfs-server-clients
Provides: nfs-server knfsd nfs-server-clients
Requires: nfs-utils-clients, kernel >= 2.2.5, portmap >= 4.0
Copyright: GPL
ExcludeArch: armv4l
Buildroot: /var/tmp/%{name}-root
Serial: 1
Patch1: nfs-utils-mdkinit.patch.bz2

%description
The nfs-utils package provides the utilities for Linux NFS server.

This package replace the old knfsd package.

%package clients
Summary: The utilities for Linux NFS client.
Group: Networking/Other
Obsoletes: knfsd-clients knfsd-lock
Provides: knfsd-clients knfsd-lock
Requires: kernel >= 2.2.5, portmap >= 4.0

%description clients
The nfs-utils package provides the utilities for Linux NFS client.

This package replace the old knfsd-clients + part of knfsd package.

%prep
%setup -q
%patch1 -p1

%build
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/{sbin,man/man5,man/man8}}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/dev

make install install_prefix=$RPM_BUILD_ROOT
install -s -m 755 tools/rpcdebug/rpcdebug $RPM_BUILD_ROOT/sbin
install -m 755 etc/redhat/nfs.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 etc/redhat/nfslock.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
[ -d $RPM_BUILD_ROOT/usr/$aa ] || continue
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`;do
    file $i|grep -q "not stripped" && strip $i
done

pushd $RPM_BUILD_ROOT/usr/man/man8/ && {
    for i in rpc.mountd.8 rpc.nfsd.8 rpc.statd.8 rpc.rquotad.8;do
	ln -s $(echo $i|sed 's/rpc.//').bz2 $i.bz2
    done
} && popd


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add nfs

%post clients
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%preun clients
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfslock
fi


%files
%defattr(-,root,root)
/sbin/rpcdebug
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfsstone
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
%doc /usr/man/man5/exports.5.bz2
%doc /usr/man/man8/exportfs.8.bz2
%doc /usr/man/man8/mountd.8.bz2
%doc /usr/man/man8/nfsd.8.bz2
%doc /usr/man/man8/nfsstat.8.bz2
%doc /usr/man/man8/rpc.mountd.8.bz2
%doc /usr/man/man8/rpc.nfsd.8.bz2
%doc /usr/man/man8/rpc.rquotad.8.bz2
%doc /usr/man/man8/rquotad.8.bz2
%config /etc/rc.d/init.d/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab

%files clients
%defattr(-,root,root)
/usr/sbin/rpc.lockd
/usr/sbin/rpc.statd
/usr/sbin/showmount
/usr/man/man8/rpc.statd.8.bz2
/usr/man/man8/statd.8.bz2
%doc /usr/man/man8/showmount.8.bz2
%config /etc/rc.d/init.d/nfslock
%dir /var/lib/nfs
%doc README


%changelog
* Wed Apr 06 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-2mdk
- Renamed linusinit patch to mdkinit.
- Do not grep for linus in /proc/version, but for mdk 
  (Thanks to Jrgen Zimmermann)

* Wed Mar 22 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.1.7-1mdk
- Update to 0.1.7.
- Fix group.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6.

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.5.
- Fix init script with kernel-linus.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.4.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.3.

* Thu Nov 25 1999 Pixel <pixel@linux-mandrake.com>
- fixed %defattr
- split in 2 packages: nfs-utils-clients & nfs-utils (for server)

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.1.2

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.1.1.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First Spec files based on original version of H.J Lu.
